### Function

# Pango TabArray from_string

since: 1.50

#### Declaration [src]

    PangoTabArray*
    pango_tab_array_from_string (
      const char* text
    )

#### Description [src]

Deserializes a `PangoTabArray` from a string.

This is the counterpart to `pango_tab_array_to_string()`. See that functions for details about the format.

Available since: 1.50

#### Parameters

`text`

  Type: `const char*`

  A string.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `PangoTabArray`

A new `PangoTabArray`

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.